complexType "FxAsianFeature"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 8 elements
Defined: | globally in fpml-fx-5-5.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | primaryRateSource?, secondaryRateSource?, fixingTime?, observationSchedule?, (rateObservation*, rateObservationQuoteBasis?)?, payoutFormula?, precision?
</...>

Content Model Elements (8):

  fixingTime (in asian in features in fxOption), observationSchedule, payoutFormula, precision (in asian in features in fxOption), | primaryRateSource (in asian in features in fxOption), rateObservation (in asian in features in fxOption), rateObservationQuoteBasis, secondaryRateSource (in asian in features in fxOption)

All Direct / Indirect Based Elements (1):

  asian (in features in fxOption)

Known Usage Locations

- As direct type of elements (1):
  asian (in features in fxOption)

Annotation
Descibes the averaging period properties for an asian option.
XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="FxAsianFeature"> <xsd:sequence> <xsd:element minOccurs="0" name="primaryRateSource" type="InformationSource"/> <xsd:element minOccurs="0" name="secondaryRateSource" type="InformationSource"/> <xsd:element minOccurs="0" name="fixingTime" type="BusinessCenterTime"/> <!--View Generation: Removed a degenerate choice.--> <xsd:sequence> <xsd:element minOccurs="0" name="observationSchedule" type="FxAverageRateObservationSchedule"/> <xsd:group minOccurs="0" ref="FxRateObservation.model"/> </xsd:sequence> <xsd:element minOccurs="0" name="payoutFormula" type="xsd:string"/> <xsd:element minOccurs="0" name="precision" type="xsd:nonNegativeInteger"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/8)
fixingTime

  Type: | BusinessCenterTime, complex content

  The time at which the spot currency exchange rate will be observed. It is specified as a time in a business day calendar location, e.g. 11:00am London time.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fixingTime" type="BusinessCenterTime"/>

observationSchedule

  Type: | FxAverageRateObservationSchedule, complex content

  Parametric schedule of rate observations.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="observationSchedule" type="FxAverageRateObservationSchedule"/>

payoutFormula

  Type: | xsd:string, predefined, simple content

  The description of the mathematical computation for how the payout is computed.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="payoutFormula" type="xsd:string"/>

precision

  Type: | xsd:nonNegativeInteger, predefined, simple content

  Specifies the rounding precision in terms of a number of decimal places. Note how a percentage rate rounding of 5 decimal places is expressed as a rounding precision of 7 in the FpML document since the percentage is expressed as a decimal, e.g. 9.876543% (or 0.09876543) being rounded to the nearest 5 decimal places is 9.87654% (or 0.0987654).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="precision" type="xsd:nonNegativeInteger"/>

primaryRateSource

  Type: | InformationSource, complex content

  The primary source for where the rate observation will occur. Will typically be either a page or a reference bank published rate.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="primaryRateSource" type="InformationSource"/>

secondaryRateSource

  Type: | InformationSource, complex content

  An alternative, or secondary, source for where the rate observation will occur. Will typically be either a page or a reference bank published rate.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="secondaryRateSource" type="InformationSource"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.